//JavaScript document

function verCalendario(auxForm,auxText){
	var strFeatures = 'toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,copyhistory=no,width=350,height=230,screenX=150,screenY=150,top=50,left=50';
	//alert (aux.name);
	window.open('../pages/calendario.php?nombreForm='+auxForm.name+'&nombreControl='+auxText.name,"myWin", strFeatures);
}

function permite(elEvento, permitidos) {
	// Variables que definen los caracteres permitidos
	var numeros = "0123456789";
	var caracteres = "abcdefghijklmn�opqrstuvwxyzABCDEFGHIJKLMN�OPQRSTUVWXYZ";
	var numeros_caracteres = numeros + caracteres;
	// Seleccionar los caracteres a partir del par�metro de la funci�n
	switch(permitidos) {
		case 'num':
		permitidos = numeros;
		break;
		case 'car':
		permitidos = caracteres;
		break;
		case 'num_car':
		permitidos = numeros_caracteres;
		break;
	}
	// Obtener la tecla pulsada
	var evento = elEvento || window.event;
	var codigoCaracter = evento.charCode || evento.keyCode;
	var caracter = String.fromCharCode(codigoCaracter);
	// Comprobar si la tecla pulsada se encuentra en los caracteres permitidos
	return permitidos.indexOf(caracter) != -1;
}

function validar(e) { 
    tecla = (document.all) ? e.keyCode : e.which; 
    if (tecla==8) return true; //Tecla de retroceso (para poder borrar) 
    if (tecla==46) return true; //Tecla de punto
    patron = /\d/; //ver nota 
    te = String.fromCharCode(tecla); 
    return patron.test(te);  
} 

//Funciones del evento KeyPress
function validaNumero(texto){//permite digitar solo numeros y el punto 
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;	
	if ((key < 48 || key > 57)&&(key!=46)){
		window.event.keyCode = 0;
	}
	if((key==46)&&(texto.value.indexOf('.') > -1)){
		window.event.keyCode = 0;
	}
}//end function validaNumero

function validaNumeroHora(texto){//permite digitar solo numeros y el punto 
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;	
	if ((key < 48 || key > 57)&&(key!=58)){
		window.event.keyCode = 0;
	}
	if((key==58)&&(texto.value.indexOf(':') > -1)){
		window.event.keyCode = 0;
	}
}//end function validaNumeroHora

function validaEnter(){//permite digitar solo numeros y el punto 
	//window.event.keyCode valor ascii de tecla pulsada
	var flag = false;
	var key = window.event.keyCode;	
	if(key==13){
		flag =  true;
	}
	return flag;
}//end function validaNumeroHora


function validaNumeroFecha(texto){//permite digitar solo numeros y el punto 
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;	
	if ((key < 48 || key > 57)&&(key!=45)){
		window.event.keyCode = 0;
	}
	guion = texto.value.indexOf('-');
	if(guion > -1){
		if((key==45)&&(texto.value.indexOf('-',guion+1) > 0)){
			window.event.keyCode = 0;
		}
	}
}//end function validaNumeroFecha

function validaTipoPorc(texto){//permite digitar solo "V,P,v,p,E,e" 
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;	
	//alert(key);
	if (!((key==80)||(key==86)||(key==112)||(key==118)||(key==69)||(key==101))){
		window.event.keyCode = 0;
	}// end if
}//end function validaTipoPorc

function validaPunto(texto){
	if(texto.value.indexOf('.') == 0){
		texto.value = texto.value.substr(1);
	}	
}//end function validaPunto

function validaSoloNumero(){
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;
	if ((key < 48 || key > 57)){
		window.event.keyCode = 0;
	}	
}//end function validaNumero

function validaNo(e) {
	var key;
	if(window.event) // IE
		{
		key = e.keyCode;
		}
	else if(e.which) // Netscape/Firefox/Opera
		{
		key = e.which;
		}
	if(key == 8){
		return true;
	}
	if (key < 48 || key > 57)
        {
            return false;
        }

	return true;
}

function validaNumeroLetra(){
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;
	if ((key < 48 || key > 57)){		
		if ((key <65  || key > 90)&&(key <97  || key > 122)){			
			window.event.keyCode = 0;
		}
	}	
}//end function validaNumero

function validaFecha(){//permite digitar solo numeros y el gui�n (-) 
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;	
	if ((key < 48 || key > 57)&&(key!=45)){
		window.event.keyCode = 0;
	}	
	
}//end function validaNumero

function validaFono(){
	//window.event.keyCode valor ascii de tecla pulsada
	var key = window.event.keyCode;
	//alert(key);
	if ((key < 48 || key > 57)&&(key!=43&&key!=32)){
		window.event.keyCode = 0;
	}	
}//end function validaNumero

function noEspacio(e){
	//window.event.keyCode valor ascii de tecla pulsada
	//rango de caracteres no numericos ni alfabeticos: 33-47; 58-64; 91-96; 123-127
	var key = e.keyCode;
	//alert(key);
	if (key==32){
		window.event.keyCode = 0;
	}	
}//end function validaNumero


function validaLetra(frm){	
	var key = window.event.keyCode;
//if (key != 13)	{	
	if ( key != 32){
		if ((key <65  || key > 90)&&(key <97  || key > 122)){			
			window.event.keyCode = 0;
		}
	}	
}

function noAccion(){
	window.event.keyCode = 0;
}

//verificar @ y . en una direccion e-mail
function validar_email(txt){	
	//expresion regular
        var b=/^[^@\s]+@[^@\.\s]+(\.[^@\.\s]+)+$/
        
    //comentar la siguiente linea si no se desea que aparezca el alert()
    alert("Email " + (b.test(txt)?"":"no ") + "v�lido.")
        
    //devuelve verdadero si validacion OK, y falso en caso contrario
    return b.test(txt)
}
function email_valido(texto){
	var txt = texto.value;
	//expresion regular
    var b=/^[^@\s]+@[^@\.\s]+(\.[^@\.\s]+)+$/
        
	if(!b.test(txt)){
	    alert("Email no v�lido.");
		texto.focus();
	}
        
    return b.test(txt)
}

function ventanaDialogo(pagina,width,height){
	  if(!width){ width = 400; }
	  if(!height){ height = 350; }
	  var strFeatures = "dialogWidth="+ width +"px;dialogHeight="+height+"px;center=yes;help=no;status=no;scroll=no;edge=sunken;unadorned=yes";
	  window.showModalDialog(pagina,"myWin", strFeatures);	  
}// end ventanaDialogo

function trim(str){
	str = str.replace(/^\s*|\s*$/g,"");
	return str;
}

///////////////////////////////////
// Rutina para validar Fecha	//

function esDigito(sChr){
	var sCod = sChr.charCodeAt(0);
	return ((sCod > 47) && (sCod < 58));
}

function valSep(oTxt){
	var bOk = false;
	bOk = bOk || ((oTxt.value.charAt(4) == "-") && (oTxt.value.charAt(7) == "-"));
//	bOk = bOk || ((oTxt.value.charAt(2) == "-") && (oTxt.value.charAt(5) == "-"));
	//bOk = bOk || ((oTxt.value.charAt(2) == "/") && (oTxt.value.charAt(5) == "/"));
	return bOk;
}

function finMes(oTxt){
	var nMes = parseInt(oTxt.value.substr(5, 2), 10);
	var nRes = 0;
	switch (nMes){
		case 1: nRes = 31; break;
		case 2: nRes = 29; break;
		case 3: nRes = 31; break;
		case 4: nRes = 30; break;
		case 5: nRes = 31; break;
		case 6: nRes = 30; break;
		case 7: nRes = 31; break;
		case 8: nRes = 31; break;
		case 9: nRes = 30; break;
		case 10: nRes = 31; break;
		case 11: nRes = 30; break;
		case 12: nRes = 31; break;
	}
	return nRes;
}

function valDia(oTxt){
	var bOk = false;
	var nDia = parseInt(oTxt.value.substr(8, 2), 10);
	//alert(nDia);
	//var nDia = parseInt(oTxt.value.substr(0, 2), 10);
	bOk = bOk || ((nDia >= 1) && (nDia <= finMes(oTxt)));
	return bOk;
}

function valMes(oTxt){
	var bOk = false;
	var nMes = parseInt(oTxt.value.substr(5, 2), 10);
	//var nMes = parseInt(oTxt.value.substr(3, 2), 10);
	bOk = bOk || ((nMes >= 1) && (nMes <= 12));
	return bOk;
}

function valAno(oTxt){
	var bOk = true;
	var nAno = oTxt.value.substr(0,4);
//	var nAno = oTxt.value.substr(6);
	bOk = bOk && ((nAno.length == 4));
//	bOk = bOk && ((nAno.length == 2) || (nAno.length == 4));
	if (bOk){
		for (var i = 0; i < nAno.length; i++){
		bOk = bOk && esDigito(nAno.charAt(i));
		}
		if (bOk){
			var anio = parseInt(nAno);
			bOk = ((anio >= 1900) && (anio <= 2777));
		}
	}
	return bOk;
}

function valFecha(oTxt){
	var bOk = true;
	if (oTxt.value != ""){
		bOk = bOk && (valAno(oTxt));
		bOk = bOk && (valMes(oTxt));
		bOk = bOk && (valDia(oTxt));
		bOk = bOk && (valSep(oTxt));
		if (!bOk){
			alert("Fecha Invalida");
			oTxt.value = "";
			oTxt.focus();
			return false;
		}
	}
}

// Fin Rutina para validar Fecha
///////////////////////////////////
// Rutina para validar Fecha	//

function valSepHora(oTxt){
	var bOk = false;
	bOk = bOk || ((oTxt.value.charAt(2) == ":"));
	return bOk;
}
function valHora(oTxt){
	var bOk = false;
	var nHora = parseInt(oTxt.value.substr(0, 2), 10);
	bOk = bOk || ((nHora >= 0) && (nHora <= 23));
	return bOk;
}
function valMinuto(oTxt){
	var bOk = false;
	var nMin = parseInt(oTxt.value.substr(3, 2), 10);
	bOk = bOk || ((nMin >= 0) && (nMin <= 59));
	return bOk;
}
function valHoras(oTxt){
	var bOk = true;
	if (oTxt.value != ""){
		bOk = bOk && (valHora(oTxt));
		bOk = bOk && (valMinuto(oTxt));
		bOk = bOk && (valSepHora(oTxt));
		if (!bOk){
			alert("Hora Invalida");
			oTxt.value = "";
			oTxt.focus();
			return false;
		}
	}
}
// Fin Rutina para validar Hora

// habilita o deshabilita un campo de un formulario mediante un Check
function disabledCampo(check,campo){
	if (document.getElementById(check).checked){
		document.getElementById(campo).disabled = false;
	}else{
		document.getElementById(campo).disabled = true;
	}// end if
}// end function

function ajaxRecibeDatos (dir_pagina, refrescar, destinos) {
		var aux_destinos = new Array();
		var aux_contenidos = new Array();
		var contenido = "";
		var elementos = new Array();
		var fecha = new Date(); 	
		var url = dir_pagina;
		/*-- Establecer los elementos de destino --*/
		aux_destinos = destinos.split('|');
		for(i=0;i<aux_destinos.length;i++){
			elementos[i] = document.getElementById(aux_destinos[i]);
		}		
		/*-- Limpiar elementos de destino --*/
		for(i=0;i<elementos.length;i++){
			if(elementos[i]){
				elementos[i].value = "";
			}
		}//enf for contenido
		
		if (refrescar == 'S'){
			url = url+'/fecha/'+fecha;
		}//end if		
		//alert(url);
		peticion.open("GET", url);
		
		peticion.onreadystatechange = function() {			
			if (peticion.readyState == 4) {
				contenido = peticion.responseText;
				txt = unescape(contenido);
				//txt2 = txt.replace(/\+/gi," ");
				
				//alert(contenido);
				if(contenido.length == 0 || contenido==""){
					alert("No se encontro el registro");
					return false;
				}
				aux_contenidos = txt.split('|');
				for(i=0;i<aux_contenidos.length;i++){					
					if(elementos[i]){						
						elementos[i].value = aux_contenidos[i];						
					}
				}//enf for contenido				
			}//end if 
		}//end onreadystatechange 
	   peticion.send(null);
	}//end ajaxCambiarTextos
	
	function consulta(ruta,destinos){
		ajaxRecibeDatos(ruta,'N',destinos);		
	}//end function
	
	function examinaDoc(destino){		
		document.getElementById(destino).click();
	}
	
	function redondear(cantidad, decimales) {		
		var cantidad = parseFloat(cantidad);
		var decimales = parseFloat(decimales);		
		var resultado = 0;
		decimales = (!decimales ? 2 : decimales);
		resultado = Math.round(cantidad * Math.pow(10, decimales)) / Math.pow(10, decimales);		
		return resultado;
	}
	
	function infoDoc(){				
		return true;		 
	}//end if
	
	function limpiarForm(idFrm){
		//alert(document.forms[idFrm].elements.length);
		for (i=0;i<document.forms[idFrm].elements.length;i++){			
			if(document.forms[idFrm].elements[i].length>0){				
				for(j=0;j<document.forms[idFrm].elements[i].length;j++){
					if ( document.forms[idFrm].elements[i].name.substring(0,3)== "txt" ) {
						document.forms[idFrm].elements[i][j].value="";
					}					
					if ( document.forms[idFrm].elements[i].name.substring(0,3)== "cmb" ) {
						document.forms[idFrm].elements[i][j].selected=false;
						document.forms[idFrm].elements[i].selectedIndex=0;
					}
					if ( document.forms[idFrm].elements[i].name.substring(0,3)== "lst" ) {
						document.forms[idFrm].elements[i][j].selected=false;
						//document.forms[idFrm].elements[i].selectedIndex=0;
					}
					if (document.forms[idFrm].elements[i].name.substring(0,3)== "chk" ||  document.forms[idFrm].elements[i].name.substring(0,3)== "rbt") {
						document.forms[idFrm].elements[i][j].checked=false;
					}
				}
			}else{				
				if ( document.forms[idFrm].elements[i].name.substring(0,3)== "txt" ) {
					document.forms[idFrm].elements[i].value="";
				}					
				if ( document.forms[idFrm].elements[i].name.substring(0,3)== "cmb" ) {
					document.forms[idFrm].elements[i].value=0;
				}
				if ( document.forms[idFrm].elements[i].name.substring(0,3)== "chk" ) {
					document.forms[idFrm].elements[i].checked=false;
				}
			}
		}
	}//end funcion limpiarForm
	
  function addZero(vNumber){ 
    return ((vNumber < 10) ? "0" : "") + vNumber 
  } 
        
  function formatDate(vDate, vFormat){ 
    var vDay              = addZero(vDate.getDate()); 
    var vMonth            = addZero(vDate.getMonth()+1); 
    var vYearLong         = addZero(vDate.getFullYear()); 
    var vYearShort        = addZero(vDate.getFullYear().toString().substring(3,4)); 
    var vYear             = (vFormat.indexOf("yyyy")>-1?vYearLong:vYearShort) 
    var vHour             = addZero(vDate.getHours()); 
    var vMinute           = addZero(vDate.getMinutes()); 
    var vSecond           = addZero(vDate.getSeconds()); 
    var vDateString       = vFormat.replace(/dd/g, vDay).replace(/MM/g, vMonth).replace(/y{1,4}/g, vYear) 
    vDateString           = vDateString.replace(/hh/g, vHour).replace(/mm/g, vMinute).replace(/ss/g, vSecond) 
    return vDateString 
  } 

function calculaEdad(fecha,idControlx){	
	//fecha actual 
	var hoy = new Date(); 
    //alert(hoy) ;
	var mes = parseInt(hoy.getMonth());
	var dia = parseInt(hoy.getDate());
	var anio = parseInt(hoy.getFullYear());
	
	if (fecha=='0000-00-00' || fecha==''){
		document.getElementById(idControlx).value = 0;	
		return false;
	}

    //la fecha que recibo la descompongo en un array 
    var array_fecha = fecha.split("-");
    //si el array no tiene tres partes, la fecha es incorrecta 
    if (array_fecha.length!=3){ 
       return false; 
	}
    //compruebo que los anios, mes, dia son correctos 
    var anionaz; 
    anionaz = parseInt(array_fecha[0],10); 
    if (isNaN(anionaz)){ 
       return false; }
    var mesnaz; 
    mesnaz = parseInt(array_fecha[1],10);
	
    if (isNaN(mesnaz)){ 		
       return false }
    var dianaz; 
    dianaz = parseInt(array_fecha[2],10); 
    if (isNaN(dianaz)){ 
       return false; }
	
	//si el mes es el mismo pero el dia inferior aun no ha cumplido a�os, le quitaremos un a�o al actual
	if ((mesnaz == mes) && (dianaz > dia)) { 
	anio=(anio-1); } 
	//si el mes es superior al actual tampoco habra cumplido a�os, por eso le quitamos un a�o al actual 	
	if (mesnaz > mes) { 
	anio=(anio-1);} 	
	//ya no habria mas condiciones, ahora simplemente restamos los a�os y mostramos el resultado como su edad
	
	edad=(anio-anionaz); 
	if(edad < 0){ edad = 0; }
	//return edad; 
	document.getElementById(idControlx).value = edad;
}

function setFondo(idTabla,op,numTabs){
	var tbl = document.getElementById(idTabla);
    var lastRow = tbl.rows.length;
	//alert(tbl.rows[0].childNodes.length);//return false;
	if(!numTabs){ numTabs=tbl.rows[0].childNodes.length; }
	for(i=0;i<numTabs;i++){
		tbl.rows[0].childNodes[i].background = "../images/fondoblanco.gif";
		tbl.rows[0].childNodes[i].style.color = "#000000";
		if(op==(i+1)){
			tbl.rows[0].childNodes[i].background = "../images/fondomenu.gif";			
			tbl.rows[0].childNodes[i].style.color = "#000000";
		}
	}
}

function setFondo2(idTabla,idTab,numTabs){
	var tbl = document.getElementById(idTabla);
    var lastRow = tbl.rows.length;
	//alert(tbl.rows[0].childNodes.length);//return false;
	if(!numTabs){ numTabs=tbl.rows[0].childNodes.length; }
	for(i=0;i<numTabs;i++){
		tbl.rows[0].childNodes[i].className = "mantMenu";			
	}
	document.getElementById(idTab).className = "mantMenu2";
}
function setFondoFila(idTabla,ind){
	var tbl = document.getElementById(idTabla);
	var color = "";
	color = "#FFFFFF";
	//bgcolor="#CC9999"	
	var indice = parseInt(ind);
	//alert(indice);
    var Rows = tbl.rows.length;
	//tbl.rows[indice].style.backgroundColor = "#CC9999";

	for(i=0;i<Rows;i++){
		if(i != indice){
			document.getElementById('rowSolicitud'+i).style.backgroundColor = "#FFFFFF";
		}else{
			document.getElementById('rowSolicitud'+i).style.backgroundColor = "#CC9999";
		}
	}//end for	
}

function verificarCambios(tipo){
	if(document.getElementById('hid_estadoGrabar')){
		if(document.getElementById('hid_estadoGrabar').value == "S"){
			if(window.confirm('Desea guardar los cambios?')){
				document.getElementById('hid_estadoGrabar').value = 'N';
				document.getElementById('lnkGrabar').click();
				return false;
			}
		}
	}	
	frm.hid_estadoGrabar.value = 'N';	
}

function obtenerTextoCombo(combo,destino){
	
	var selec = document.getElementById(combo).options; 
	var indice = document.getElementById(combo).selectedIndex;
	if (document.getElementById(combo).value != "0"){
		document.getElementById(destino).value = selec[indice].text;
	}
	
}//end function

function currencyFormat(fld, milSep, decSep, e) { 
	var sep = 0; 
	var key = ''; 
	var i = j = 0; 
	var len = len2 = 0; 
	var strCheck = '0123456789'; 
	var aux = aux2 = ''; 
	var whichCode = (window.Event) ? e.which : e.keyCode; 
	if (whichCode == 13) return true; // Enter 
	key = String.fromCharCode(whichCode); // Get key value from key code 
	if (strCheck.indexOf(key) == -1) return false; // Not a valid key 
	len = fld.value.length; 
	for(i = 0; i < len; i++) 
	 if ((fld.value.charAt(i) != '0') && (fld.value.charAt(i) != decSep)) break; 
	aux = ''; 
	for(; i < len; i++) 
	 if (strCheck.indexOf(fld.value.charAt(i))!=-1) aux += fld.value.charAt(i); 
	aux += key; 
	len = aux.length; 
	if (len == 0) fld.value = ''; 
	if (len == 1) fld.value = '0'+ decSep + '0' + aux; 
	if (len == 2) fld.value = '0'+ decSep + aux; 
	if (len > 2) { 
	 aux2 = ''; 
	 for (j = 0, i = len - 3; i >= 0; i--) { 
	  if (j == 3) { 
	   aux2 += milSep; 
	   j = 0; 
	  } 
	  aux2 += aux.charAt(i); 
	  j++; 
	 } 
	 fld.value = ''; 
	 len2 = aux2.length; 
	 for (i = len2 - 1; i >= 0; i--) 
	  fld.value += aux2.charAt(i); 
	 fld.value += decSep + aux.substr(len - 2, len); 
	} 
	return false; 
} //end function
//<input type="text" name="test" length="15" onKeyPress="return(currencyFormat(this,',','.',event))">
function formatNmb(nNmb){ 
	var sRes = ""; 
	for (var j, i = nNmb.length - 1, j = 0; i >= 0; i--, j++) 
	 sRes = nNmb.charAt(i) + ((j > 0) && (j % 3 == 0)? ".": "") + sRes; 
	return sRes; 
} //end function	
	
function SimularPopUpModal(){ 
	//alert(self.focus);
	if (window.opener && window.opener.focus){ 
		window.opener.focus = false; 
		self.focus(); 
	} 
} 
	
function disabledForm2(flag){
	
	var tabName = '';
	if(document.getElementById('hid_tab')){
		tabName = document.getElementById('hid_tab').value;
	}
	if(tabName=='seguimiento' || tabName == 'condiciones'){
		disabledForm(false);
		/*document.getElementById('txt_referencia').readOnly = true;
		document.getElementById('cmb_tipoInmueble').disabled = true;
		document.getElementById('cmb_operacion').disabled = true;
		document.getElementById('txt_precio').readOnly = true;
		document.getElementById('btn_calculadora').disabled = true;
		document.getElementById('cmb_estOperacion').disabled = true;*/
		document.getElementById('btn_alquiler').disabled = true;
		document.getElementById('hid_accion').value = 'updG';
		return;
	}
	for (i=0;i < document.frm.elements.length; i++) { 	  	
		if ( document.frm.elements[i].name.substring(0,3)!= "hid" ) {
			document.frm.elements[i].disabled = false;
			document.frm.elements[i].tabIndex = -1;						
			if (document.frm.elements[i].name.substring(0,3)== "txt"){
				document.frm.elements[i].readOnly = true;
			}else{			
				//document.frm.elements[i].disabled = true;
			}			
			//alert(document.frm.elements[i].tabIndex);
		}
	}// end for
	document.getElementById('btn_alquiler').disabled = true;
}// end function disabledForm2
	
function compararFechas(Obj1,Obj2){		
	var retorno = true;
	
	var fecha = Obj1.value;
	var fecha2 = Obj2.value;
	//las fechas que recibo la descompongo en un array 
	var array_fecha = fecha.split("-");
	var array_fecha2 = fecha2.split("-");
	//si el array no tiene tres partes, la fecha es incorrecta 
	if (array_fecha.length!=3){ 
		return false; 
	}
	if (array_fecha2.length!=3){ 
		return false; 
	}
	//compruebo que los anios, mes, dia son correctos 
	var anio; 
	anio = parseInt(array_fecha[0],10); 
	if (isNaN(anio)){ 
		return false; }
	var anio2; 
	anio2 = parseInt(array_fecha2[0],10); 
	if (isNaN(anio2)){ 
		return false; }
		
	var mes; 
	mes = parseInt(array_fecha[1],10); 
	if (isNaN(mes)){ 
		return false }
	var mes2; 
	mes2 = parseInt(array_fecha2[1],10); 
	if (isNaN(mes2)){ 
		return false }
		
	var dia; 
	dia = parseInt(array_fecha[2],10); 
	if (isNaN(dia)){ 
		return false; }
	var dia2; 
	dia2 = parseInt(array_fecha2[2],10); 
	if (isNaN(dia2)){ 
		return false; }

	if (anio>anio2){
		retorno = false;
	}

	if ((anio==anio2) && (mes>mes2)){
		retorno = false;
	}
	if ((anio==anio2) && (mes==mes2) && (dia>dia2)){
		retorno = false;
	}
	if(retorno == false){
		alert('La fecha final debe ser mayor a la inicial');
		Obj2.value = "";
		Obj2.focus();
		return false;
	}
	return true;
}//end function compararFechas


function previewImage(pathField, previewName){       
	var imgRe = /^.+\.(jpg|jpeg)$/i;
    var path = pathField.value;
	
    if (path.search(imgRe) != -1){   
        //document[previewName].src = 'file://'+path;
		if(document.getElementById(previewName)){
			document.getElementById(previewName).src = 'file://'+path;
			document.getElementById(previewName).style.display = 'inline';
		}
    }else{   
        alert("Solo archivos JPG!");
		return false;
    }   
}//end function previewImage

function cambiaDis(chkBox,txtBox){
	var dis = true;
	if(chkBox.checked==true){ dis=false; }		
	document.getElementById(txtBox).disabled = dis;
}
function setCalendario(idCajaTexto,idBoton){
	Calendar.setup({
		inputField     :    idCajaTexto,// id of the input field
		ifFormat       :    "%Y-%m-%d", // format of the input field
		button         :    idBoton,  	// trigger for the calendar (button ID)			
		align          :    "Tl",       // alignment vh(defaults to "Bl")
		singleClick    :    true,
		firstDay	   :	0 			//display Sunday first
	});
}